DL_ElgamalLikeSignatureAlgorithm< T > Class Template Referenceabstract

interface for Elgamal-like signature algorithms More...

`#include <pubkey.h>`

Inheritance diagram for DL_ElgamalLikeSignatureAlgorithm< T >:

## Public Member Functions

virtual void | Sign (const DL_GroupParameters< T > &params, const Integer &privateKey, const Integer &k, const Integer &e, Integer &r, Integer &s) const =0
virtual bool | Verify (const DL_GroupParameters< T > &params, const DL_PublicKey< T > &publicKey, const Integer &e, const Integer &r, const Integer &s) const =0
virtual Integer | RecoverPresignature (const DL_GroupParameters< T > &params, const DL_PublicKey< T > &publicKey, const Integer &r, const Integer &s) const
virtual size_t | RLen (const DL_GroupParameters< T > &params) const
virtual size_t | SLen (const DL_GroupParameters< T > &params) const

## Detailed Description

### template<class T>
class DL_ElgamalLikeSignatureAlgorithm< T >

interface for Elgamal-like signature algorithms

Definition at line 900 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h